# Class default

- Defined in src/system/egg-data.ts:3

#####
Index

### Constructors

constructor

### Properties

gachaType
hatchWaves
id
timestamp

### Methods

toEgg

## Constructors

### constructor

- new default(source): default

- #### Parameters

  - source: any

  #### Returns default

  - Defined in src/system/egg-data.ts:9

## Properties

### gachaType

gachaType: GachaType

- Defined in src/system/egg-data.ts:5

### hatchWaves

hatchWaves: number

- Defined in src/system/egg-data.ts:6

### id

id: number

- Defined in src/system/egg-data.ts:4

### timestamp

timestamp: number

- Defined in src/system/egg-data.ts:7

## Methods

### toEgg

- toEgg(): Egg

- #### Returns Egg

  - Defined in src/system/egg-data.ts:17